Set CA path and info

- « OAuth::setAuthType

- OAuth::setNonce »

- PHP Manual
- OAuth
- Set CA path and info

# OAuth::setCAPath

(PECL OAuth >= 0.99.8)

OAuth::setCAPath — Set CA path and info

### Description

public OAuth::setCAPath(string `$ca_path` = ?, string `$ca_info` = ?): mixed

Sets the Certificate Authority (CA), both for path and info.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`ca_path`

  The CA Path being set.

`ca_info`

  The CA Info being set.

### Return Values

Returns `true` on success, or `false` if either `ca_path` or `ca_info` are considered invalid.

### Changelog

Version | Description
--- | ---
PECL oauth 1.0.0 | Previously returned `null` on failure, instead of `false`.

### See Also

- OAuth::getCaPath() - Gets CA information